package com.community.huiju.dao;

import com.community.huiju.model.TpTransactionReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TpTransactionReportMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpTransactionReport record);

    int insertSelective(TpTransactionReport record);

    TpTransactionReport selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpTransactionReport record);

    int updateByPrimaryKey(TpTransactionReport record);

    /**
     * 根据小区 和 帖子id
     * @param communityId
     * @param transactionId
     * @return
     */
    TpTransactionReport selectByCommunityIdAndTransactionId(@Param("userId") Integer userId, @Param("communityId") Integer communityId, @Param("transactionId") Integer transactionId);
}